port: 7890
socks-port: 7891
allow-lan: false
mode: Rule
log-level: info
external-controller: 0.0.0.0:9090
secret: ""

mux:
  enabled: false

proxies:
  - name: bandwagonhost-SanJose
    type: vless
    server: 138.128.194.37
    port: 443
    uuid: 4243ef77-3611-4d08-8f9b-b79244235ebb
    flow: xtls-rprx-vision
    udp: true
    tls: true
    servername: www.apple.com
    reality-opts:
      public-key: dfXNZ8ctAjoLKyUgNhF_9kOAHjyziZZ8CcwXVZwUNW4
      short-id: 2896594ed9297324
    network: tcp
    client-fingerprint: chrome

  - name: JMS-LA-1(其他节点不可用时使用)
    type: ss
    server: 104.160.44.99
    port: 8676
    cipher: aes-256-gcm
    password: sMZew2PdXTHVDR4o
    udp: true

  - name: JMS-LA-2(其他节点不可用时使用)
    type: ss
    server: 65.49.214.188
    port: 8676
    cipher: aes-256-gcm
    password: sMZew2PdXTHVDR4o
    udp: true

proxy-groups:
  - name: Proxy
    type: select
    proxies:
      - bandwagonhost-SanJose
      - bandwagonhost-LA
      - JMS-LA-1(其他节点不可用时使用)
      - JMS-LA-2(其他节点不可用时使用)

  - name: Domestic
    type: select
    proxies:
      - DIRECT
      - Proxy

  - name: AdBlock
    type: select
    proxies:
      - REJECT
      - DIRECT


rule-providers:
  reject:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/reject.txt"
    path: ./ruleset/reject.yaml
    interval: 86400
  icloud:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/icloud.txt"
    path: ./ruleset/icloud.yaml
    interval: 86400
  apple:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/apple.txt"
    path: ./ruleset/apple.yaml
    interval: 86400
  google:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/google.txt"
    path: ./ruleset/google.yaml
    interval: 86400
  proxy:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/proxy.txt"
    path: ./ruleset/proxy.yaml
    interval: 86400
  direct:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/direct.txt"
    path: ./ruleset/direct.yaml
    interval: 86400
  private:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/private.txt"
    path: ./ruleset/private.yaml
    interval: 86400
  gfw:
    type: http
    behavior: domain
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/gfw.txt"
    path: ./ruleset/gfw.yaml
    interval: 86400
  # tld-not-cn:
  #   type: http
  #   behavior: domain
  #   url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/tld-not-cn.txt"
  #   path: ./ruleset/tld-not-cn.yaml
  #   interval: 86400
  # telegramcidr:
  #   type: http
  #   behavior: ipcidr
  #   url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/telegramcidr.txt"
  #   path: ./ruleset/telegramcidr.yaml
  #   interval: 86400
  # cncidr:
  #   type: http
  #   behavior: ipcidr
  #   url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/cncidr.txt"
  #   path: ./ruleset/cncidr.yaml
  #   interval: 86400
  # lancidr:
  #   type: http
  #   behavior: ipcidr
  #   url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/lancidr.txt"
  #   path: ./ruleset/lancidr.yaml
  #   interval: 86400
  applications:
    type: http
    behavior: classical
    url: "https://cdn.jsdelivr.net/gh/Loyalsoldier/clash-rules@release/applications.txt"
    path: ./ruleset/applications.yaml
    interval: 86400

rules:
  - RULE-SET,applications,DIRECT
  - DOMAIN,clash.razord.top,DIRECT
  - DOMAIN,yacd.haishan.me,DIRECT
  - RULE-SET,private,DIRECT
  - RULE-SET,reject,REJECT
  - RULE-SET,icloud,DIRECT
  - RULE-SET,apple,DIRECT
  - RULE-SET,google,Proxy
  - RULE-SET,proxy,Proxy
  - RULE-SET,direct,DIRECT
  #- RULE-SET,lancidr,DIRECT
  #- RULE-SET,cncidr,DIRECT
  #- RULE-SET,telegramcidr,Proxy
  - GEOIP,LAN,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,Proxy

